import type { CompletionSource } from '@codemirror/autocomplete';
import { type CodemirrorThemeType } from '../editor';
export type SavedQuery = {
    type: string;
    lastExecuted: Date;
    queryProperties: {
        [propertyName: string]: any;
    };
};
export declare const createQueryHistoryAutocompleter: (savedQueries: SavedQuery[], onApply: (query: SavedQuery['queryProperties']) => void, theme: CodemirrorThemeType) => CompletionSource;
export declare function createQuery(query: SavedQuery): string;
export declare function scaleBetween(unscaledNum: number, newScaleMin: number, newScaleMax: number, originalScaleMin: number, originalScaleMax: number): number;
//# sourceMappingURL=query-history-autocompleter.d.ts.map